Bug 450714 - Fedora 9 switch from console to Gnome, Alt-7 passed on
Summary: Fedora 9 switch from console to Gnome, Alt-7 passed on
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-session
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-10 16:00 UTC by stanl
Modified: 2009-02-25 04:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-02-25 04:08:31 UTC


Attachments (Terms of Use)

Description stanl 2008-06-10 16:00:57 UTC
Description of problem:  When at one of the linux consoles in Fedora 9 and the
AltR-7 key combination is pressed to go back to Gnome, the AltR-7 is passed on
to the application active in the window.  Worked fine in Fedora 7.


Version-Release number of selected component (if applicable):  Fedora 9


How reproducible:  Every time.


Steps to Reproduce:
1. Switch from Gnome to a console using Ctrl_Alt-F1
2. login
3. Switch back to Gnome using Alt-F7.  Error message appears or characters added
to terminal.
  
Actual results:  Error dialog comes up or characters added to terminal.


Expected results:  Context switch


Additional info:
This is the text from the dialog box that comes up.  It defaults to no, so
hitting enter clears it.

Pressing F7 turns Caret Browsing on or off. This feature places a moveable
cursor in web pages, allowing you to select text with the keyboard. Do you want
to turn Caret Browsing on?

Comment 1 lexual 2009-02-24 06:54:02 UTC
Can't reproduce here with Fedora 10.
Although looks like newer Fedora versions have X session running on Alt-F1.
Perhaps the issue is specific to your video hardware, what is it?

Comment 2 stanl 2009-02-24 16:59:22 UTC
Given your reminder, I became aware that I haven't seen this bug in F10 x86_64 either.  If it was active, and you left an application that used F1 as help, when you returned from console to X, the application would receive the F1 and start help.

On F9 i386 the default for F7 in applications was to break the application free of the window and allow it to move around.  So whenever I came back to X from a console I had to hit <ENTER> as there would be a dialog asking me if I really wanted to do this.  PITA.

I presume that you won't be fixing this for F9 because it is fixed in F10?

Probably fixed either inadvertently as part of the change to F1 as X console or noticed during the switch.


Note You need to log in before you can comment on or make changes to this bug.